/*
 * Hidable.java
 */

package catandmouse;

/**
 * Implemented by an object that can be hidden from view.  When hidden, the
 * object should be treated as if it does not exist at all.
 */
public interface Hidable {
    /**
     * Sets whether the object is hidden or not.
     * @param hidden true if the object should be hidden.
     */
    public void setHidden(boolean hidden);
    
    /** 
     * Gets whether the object is hidden.
     */
    public boolean isHidden();
}
